# personenbezogene Daten der Fremdverwaltung

{% hint style="warning" %}
Um auf die personenbezogenen Daten der Fremdverwaltung über die API zugreifen zu können, muss die  Endpunktberechtigung "Fremdverwaltung mit personenbezogenen Details" aktiviert werden.
{% endhint %}

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Vertragsnehmer

#### Version 1.2

***

## GET /openwowi/v1.2/PropertyManagement/PropertyManagementPersonDetails/ContractParty

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ContractPartyDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Type":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementContractPartyTypeDto"},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PersonId":{"type":"integer","format":"int32"},"DefaultBankaccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"},"AccessibilityId":{"type":"integer","format":"int32","nullable":true},"BankAccountId":{"type":"integer","format":"int32","nullable":true},"Person":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto"},"DefaultAddress":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"}},"additionalProperties":false},"PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementContractPartyTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"},"BankAccountId":{"type":"integer","format":"int32"},"BankAccountUsageType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Shortname":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32","nullable":true},"TaxNumber":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"IsNaturalPerson":{"type":"boolean"},"NaturalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto"},"LegalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto"},"Addresses":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"nullable":true},"Communications":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"nullable":true},"BankAccounts":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"},"nullable":true},"FirstEmailCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstLandlinePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstMobilePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto":{"type":"object","properties":{"Title":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"BirthName":{"type":"string","nullable":true},"CareOf":{"type":"string","nullable":true},"BirthDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DeathDate":{"type":"string","format":"date-time","nullable":true},"Gender":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto"},"MaritalType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto"},"Nationality":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"},"PersonInCare":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto"},"ContactFor":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto":{"type":"object","properties":{"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true},"VatId":{"type":"string","nullable":true},"CommercialRegisterNumber":{"type":"string","nullable":true},"CommercialRegisterTown":{"type":"string","nullable":true},"ContractPersons":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Zip":{"type":"string","nullable":true},"Town":{"type":"string","nullable":true},"Street":{"type":"string","nullable":true},"HouseNumber":{"type":"string","nullable":true},"HouseNumberAddition":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"StreetComplete":{"type":"string","nullable":true},"HouseNumberComplete":{"type":"string","nullable":true},"MainAddress":{"type":"boolean"},"AddressType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto"},"Country":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"RelatedAddressId":{"type":"integer","format":"int32","nullable":true},"Content":{"type":"string","nullable":true},"Explanation":{"type":"string","nullable":true},"RelatedAddress":{"type":"string","nullable":true},"CommunicationType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/PropertyManagement/PropertyManagementPersonDetails/ContractParty":{"get":{"tags":["OpenWowi PropertyManagement"],"operationId":"PropertyManagement_GetPropertyManagementContractPartys","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"propertyManagementContractPartyActiveOn","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"includeMainAddress","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeMainCommunication","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonAddresses","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonCommunications","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonBankAccounts","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ContractPartyDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ContractPartyDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ContractPartyDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Zahlungsmodus

#### Version 1.2

***

## GET /openwowi/v1.2/PropertyManagement/PropertyManagementPersonDetails/PaymentModes

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementPaymentModeDto":{"type":"object","properties":{"Contractor":{"type":"string","nullable":true},"Mode":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"EntryDateTime":{"type":"string","format":"date-time"},"Iban":{"type":"string","nullable":true},"MandateId":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/PropertyManagement/PropertyManagementPersonDetails/PaymentModes":{"get":{"tags":["OpenWowi PropertyManagement"],"operationId":"PropertyManagement_GetPropertyManagementPaymentModes","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"validFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"validTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementPaymentModeDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementPaymentModeDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementPaymentModeDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***
